Bug 207686 - graphics/graphite2: update to 1.3.6
Summary: graphics/graphite2: update to 1.3.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL: https://sourceforge.net/p/silgraphite...
Keywords: patch, security
Depends on:
Blocks:
 
Reported: 2016-03-03 22:11 UTC by Jan Beich
Modified: 2016-03-08 18:20 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)
jbeich: merge-quarterly?


Attachments
v1 (925 bytes, patch)
2016-03-03 22:11 UTC, Jan Beich
jbeich: maintainer-approval? (office)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2016-03-03 22:11:14 UTC
Created attachment 167696 [details]
v1

Firefox 45 / 38.7 is going to bundle graphite2-1.3.6. Until MFSAs are published the impact is a bit unclear but follow URL or See Also for more details. It'd be nice if the system version doesn't fall behind leaving www/firefox et al. vulnerable.

Build tested on 9.3R i386, 9.3R amd64, 10.1R i386, 10.2 amd64. No API/ABI changes -> MFH candidate.

ABI check: https://people.freebsd.org/~jbeich/compat_reports/graphite2/1.3.5_to_1.3.6/compat_report.html
Comment 1 Tijl Coosemans freebsd_committer 2016-03-05 14:26:23 UTC
I don't know who can approve patches for office@ these days.  Since this is a straightforward update I think you can just commit it.  You can add "Reviewed by: tijl" if you want.  If you really want approval consider asking ports-secteam since this is a security update.
Comment 2 commit-hook freebsd_committer 2016-03-05 15:43:04 UTC
A commit references this bug:

Author: jbeich
Date: Sat Mar  5 15:42:32 UTC 2016
New revision: 410185
URL: https://svnweb.freebsd.org/changeset/ports/410185

Log:
  graphics/graphite2: update to 1.3.6

  PR:		207686
  Reviewed by:	tijl
  MFH:		2016Q1 (maybe security)

Changes:
  head/graphics/graphite2/Makefile
  head/graphics/graphite2/distinfo
Comment 3 commit-hook freebsd_committer 2016-03-05 15:46:05 UTC
A commit references this bug:

Author: jbeich
Date: Sat Mar  5 15:45:56 UTC 2016
New revision: 410186
URL: https://svnweb.freebsd.org/changeset/ports/410186

Log:
  www/firefox: better follow bundled graphite2 after r410185

  Cosmetic change, no PORTREVISION bump is necessary.

  PR:		207686
  MFH:		2016Q1
  X-MFH-With:	r410176

Changes:
  head/www/firefox/Makefile
  head/www/firefox/files/patch-bug847568
Comment 4 Jan Beich freebsd_committer 2016-03-05 15:50:38 UTC
Let's collect pointyhats on the next build by pkg-fallout@.
Comment 5 commit-hook freebsd_committer 2016-03-05 21:38:56 UTC
A commit references this bug:

Author: jbeich
Date: Sat Mar  5 21:38:14 UTC 2016
New revision: 410212
URL: https://svnweb.freebsd.org/changeset/ports/410212

Log:
  MFH: r410185

  graphics/graphite2: update to 1.3.6

  PR:		207686
  Reviewed by:	tijl
  Approved by:	ports-secteam (feld)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/graphics/graphite2/Makefile
  branches/2016Q1/graphics/graphite2/distinfo
Comment 6 commit-hook freebsd_committer 2016-03-08 18:20:58 UTC
A commit references this bug:

Author: jbeich
Date: Tue Mar  8 18:19:58 UTC 2016
New revision: 410638
URL: https://svnweb.freebsd.org/changeset/ports/410638

Log:
  MFH: r408984 r410176 r410186

  www/firefox: simplify upstream graphite2 update-helper

  www/firefox{,-esr}: update to 45.0 (rc2) / 38.7.0

  Prepare www/firefox a bit for ESR45:
  - [e10s] Make layers.progressive-paint;true work at least on 11.0-CURRENT
  - Chase bundled versions for system dependencies [1]
  - Drop unused/broken system opus and speex support

  Changes:	https://www.mozilla.org/firefox/45.0/releasenotes/
  Changes:	https://www.mozilla.org/firefox/38.7.0/releasenotes/
  PR:		207686 [1]
  Security:	2225c5b4-1e5a-44fc-9920-b3201c384a15
  Approved by:	ports-secteam (feld, merge conflict blanket)

Changes:
_U  branches/2016Q1/
  branches/2016Q1/Mk/Uses/gecko.mk
  branches/2016Q1/Mk/bsd.gecko.mk
  branches/2016Q1/mail/thunderbird/files/patch-bug847568
  branches/2016Q1/www/firefox/Makefile
  branches/2016Q1/www/firefox/distinfo
  branches/2016Q1/www/firefox/files/patch-bug1021761
  branches/2016Q1/www/firefox/files/patch-bug1228742
  branches/2016Q1/www/firefox/files/patch-bug1242132
  branches/2016Q1/www/firefox/files/patch-bug1252246
  branches/2016Q1/www/firefox/files/patch-bug702179
  branches/2016Q1/www/firefox/files/patch-bug826985
  branches/2016Q1/www/firefox/files/patch-bug847568
  branches/2016Q1/www/firefox/files/patch-config-baseconfig.mk
  branches/2016Q1/www/firefox/files/patch-z-bug517422
  branches/2016Q1/www/firefox-esr/Makefile
  branches/2016Q1/www/firefox-esr/distinfo
  branches/2016Q1/www/firefox-esr/files/patch-bug847568
  branches/2016Q1/www/firefox-esr-i18n/Makefile
  branches/2016Q1/www/firefox-esr-i18n/distinfo
  branches/2016Q1/www/firefox-i18n/Makefile
  branches/2016Q1/www/firefox-i18n/distinfo
  branches/2016Q1/www/libxul/Makefile
  branches/2016Q1/www/libxul/distinfo
  branches/2016Q1/www/libxul/files/patch-bug847568
  branches/2016Q1/www/linux-firefox/Makefile
  branches/2016Q1/www/linux-firefox/distinfo
  branches/2016Q1/www/linux-firefox/pkg-plist